Loading...
Searching...
No Matches
Dune::MatrixRowSizeGatherScatter< M, I, RI > Struct Template Reference

`#include <dune/istl/matrixredistribute.hh>`

## Public Types

typedef CommMatrixRowSize< M, RI > | Container

## Static Public Member Functions

static const M::size_type | gather (const Container &cont, std::size_t i)
static void | scatter (Container &cont, const typename M::size_type &rowsize, std::size_t i)

## Member Typedef Documentation

## Container

template<class M, class I, class RI>

typedef CommMatrixRowSize<M,RI> Dune::MatrixRowSizeGatherScatter< M, I, RI >::Container

## Member Function Documentation

## gather()

template<class M, class I, class RI>

const M::size_type Dune::MatrixRowSizeGatherScatter< M, I, RI >::gather | ( | const Container & | cont,
|  | std::size_t | i )

inline static

## scatter()

template<class M, class I, class RI>

void Dune::MatrixRowSizeGatherScatter< M, I, RI >::scatter | ( | Container & | cont,
|  | const typename M::size_type & | rowsize,
|  | std::size_t | i )

inline static

The documentation for this struct was generated from the following file:

- matrixredistribute.hh